Subject: RE: Missing headers with -mno-cygwin
From: "Tomislav Goles" <[email-masked]>
To: "Graham Murray" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 15 Nov 2001 09:02:41 -0500

I had the same (at least sounds like it) problem and fixed
it by going into setup and re-installing mingw and mingw-runtime
packages. I don't know how/what uninstalled those but now things
are back to normal.
Hope this helps,
Tomislav Goles

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Graham Murray
> Sent: Thursday, November 15, 2001 8:21 AM
> To: [email-masked]
> Subject: Missing headers with -mno-cygwin
> 
> 
> On trying to build an application which uses -mno-cygwin, the
> compilation fails because it cannot find "standard" sytem headers. I
> added "-v" to the CFLAGS and the output follows. I am sure that this
> worked about 2 weeks ago, and since then I have only used the setup
> (from the web page) utility to keep everything up-to-date. 
> 
> $ make -f makefile.cyg
> gcc -Wall -W -v -pedantic -mno-cygwin -O2 -fno-strength-reduce 
> -DUSE_TRANSPARENC
> Y -DWINDOWS  -c -o artifact.o artifact.c
> Reading specs from /usr/lib/gcc-lib/i686-pc-cygwin/2.95.3-5/specs
> gcc version 2.95.3-5 (cygwin special)
>  /usr/lib/gcc-lib/i686-pc-cygwin/2.95.3-5/cpp0.exe -lang-c -v 
> -D__GNUC__=2 -D__G
> NUC_MINOR__=95 -D_X86_=1 -D_X86_=1 -Asystem(winnt) -D__OPTIMIZE__ 
> -Wall -W -peda
> ntic -Acpu(i386) -Amachine(i386) -Di386 -D__i386 -D__i386__ -Di686 
> -Dpentiumpro
> -D__i686 -D__i686__ -D__pentiumpro -D__pentiumpro__ 
> -D__stdcall=__attribute__((_
> _stdcall__)) -D__cdecl=__attribute__((__cdecl__)) 
> -D_stdcall=__attribute__((__st
> dcall__)) -D_cdecl=__attribute__((__cdecl__)) 
> -D__declspec(x)=__attribute__((x))
>  -D__MSVCRT__ -D__MINGW32__ -isystem /usr/local/include/mingw 
> -idirafter /usr/in
> clude/mingw -DWIN32 -DWINNT -D_WIN32 -D_WIN32 -D__WIN32 -D__WIN32__ 
> -idirafter /
> usr/include/w32api -DUSE_TRANSPARENCY -DWINDOWS artifact.c 
> /cygdrive/c/DOCUME~1/
> gmurray/LOCALS~1/Temp/ccibUs3k.i
> GNU CPP version 2.95.3-5 (cygwin special) (80386, BSD syntax)
> #include "..." search starts here:
> #include <...> search starts here:
>  /usr/lib/gcc-lib/i686-pc-cygwin/2.95.3-5/include
>  /usr/include/mingw
>  /usr/include/w32api
> End of search list.
> The following default directories have been omitted from the search path:
> End of omitted list.
> In file included from h-basic.h:20,
>                  from angband.h:19,
>                  from artifact.c:13:
> h-system.h:20: stdio.h: No such file or directory
> h-system.h:21: ctype.h: No such file or directory
> h-system.h:22: errno.h: No such file or directory
> h-system.h:28: stdlib.h: No such file or directory
> h-system.h:50: time.h: No such file or directory
> h-system.h:59: io.h: No such file or directory
> h-system.h:67: memory.h: No such file or directory
> h-system.h:73: fcntl.h: No such file or directory
> h-system.h:104: string.h: No such file or directory
> make: *** [artifact.o] Error 1
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/